local MainCompBaseCell = class("MainCompBaseCell", BaseCell)


-- 需要继承重写的部分 ***********************************************************

function MainCompBaseCell:getIsOpen()
    return false
end

function MainCompBaseCell:getEntranceName()
    return ""
end

function MainCompBaseCell:getShowEntranceRedPoint()
    return false
end

-- 是否展示顶部任务、设置按钮
function MainCompBaseCell:isShowTopNode()
    return false
end

-- 是否展示侧边栏
function MainCompBaseCell:isShowSideBar()
    return false
end

-- 是否展示战令入口
function MainCompBaseCell:isShowBounty()
    return false
end

-- 是否展示英雄编队
function MainCompBaseCell:isShowHeroFormation()
    return false
end

-- 中间按钮展示体力消耗
function MainCompBaseCell:getFightHpCost()
    return nil
end

-- 中间按钮展示剩余次数
function MainCompBaseCell:getFightTodayRemainCount()
    return -1
end

-- 中间按钮展示描述
function MainCompBaseCell:getFightDesc()
    return nil
end

function MainCompBaseCell:onClickFight()
end

-- 常规逻辑 ***********************************************************

function MainCompBaseCell:initWithParentUI(parentUI)
    self.parentUI = parentUI
end

function MainCompBaseCell:refreshFightBtn()
    self.parentUI:refreshFightBtn()
end

return MainCompBaseCell